<template>
	<a-button icon="search" type="primary" @click="getSearch('prev')" class="search-button" :size="size">조회</a-button>
</template>

<script>
import { mapMutations } from 'vuex';

export default {
	props: {
		size: {
			type: String,
			require: false,
			default: "default", // small, default, large
		}
	},
	methods: {
		...mapMutations({ setPageData: 'setPageData' }),
		getSearch() {
			this.setPageData({ isFind: true });
		},
	},
};
</script>

<style scoped lang="scss">

</style>